Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
detail::tags_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::tags_handler:
[legend]

## Static Public Member Functions
template<typename TDummy >
static void | set_value (TagListBuilder &, const TDummy &) noexcept
static void | set_value (TagListBuilder &builder, const attr::_tag &tag)
template<typename TIterator >
static void | set_value (TagListBuilder &builder, const attr::detail::tags_from_iterator_pair< TIterator > &tags)
static void | set_value (TagListBuilder &builder, const attr::_t &tags)

## Member Function Documentation

## ◆ set_value() [1/4]

template<typename TDummy >

static void detail::tags_handler::set_value | ( | TagListBuilder & | ,
|  | const TDummy & | )
| inline static noexcept

## ◆ set_value() [2/4]

static void detail::tags_handler::set_value | ( | TagListBuilder & | builder,
|  | const attr::_t & | tags )
| inline static

## ◆ set_value() [3/4]

static void detail::tags_handler::set_value | ( | TagListBuilder & | builder,
|  | const attr::_tag & | tag )
| inline static

## ◆ set_value() [4/4]

template<typename TIterator >

static void detail::tags_handler::set_value | ( | TagListBuilder & | builder,
|  | const attr::detail::tags_from_iterator_pair< TIterator > & | tags )
| inline static

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp